Issue with External Module Installation

Five Stars

Issue with External Module Installation

I have installed talend open studio for big data - TOS_BD-20180411_1414-V7.0.1 and have imported a project that I need to be working on.

 

I am able to see the job designs from the import but some of the components have missing modules.  

If I click the "Install" button in the component view for these components, I see the module but the download and install button is greyed out.

 

 

After some more research I found about the module view.  I entered the module view and found a module that is uninstalled and installed it.  In the example below you can see that I am able to download and install this speicific module.

 

However this behaviour is not consistent.  The "download and install" button is greyed out for "jackson-annotations-2.5.3.jar" from the same module view.

 

If I use "help" --> "Install additional Packages", I get nothing.

I have added talend-update.talend.com to the proxy whitelist but I still can't install directly from the component error as the "download and install" button is greyed out.  Can you please confirm if this is the correct way to add "talend-update.talend.com" to the proxy whitelist?

 

My questions:

1.  How do I install "jackson-annotations-2.5.3.jar"? 

2.  Is there an easier way to download and install all required modules together?  Like from Module view or something.

3.  What should I do to make the below install button work to install external modules from the component view?

 

Twelve Stars

Re: Issue with External Module Installation

@hchoudhary,since you are using open source tool,you need to manually download and install the jars.

you can use the below link to download the jars.

https://talend-update.talend.com/nexus/content/repositories/libraries/org/talend/libraries/

Manohar B
Five Stars

Re: Issue with External Module Installation

Thanks for letting me know.  I went to the link you provided and I am not able to find the jars that I need.  My job needs the jars mentioned below -

jackson-annotations-2.5.3.jar

jackson-core-2.5.3.jar

jackson-databind-2.5.3.jar

 

and none of these are available on the link you provided.  Especially the version 2.5.3.  I see 2.5.4.  Could this be why am not able to install them?  

 

Also "since you are using open source tool,you need to manually download and install the jars" doesn't seem like a valid statement.  I was able to download some other jars for which I had attached screenshots too.